// ==UserScript==
// @name              B站-电影转豆瓣
// @author            tianyunperfect
// @description       简介
// @version           1.0.0
// @update            2022年06月20日17:56:43
// @include           *bilibili.com/bangumi*
// @require           https://git.tianyunperfect.cn/tianyunperfect/web-base/raw/master/monkey/util.js?a=2022年06月20日


// ==/UserScript==
(async () => {
    if (window.top !== window.self) {
        return;
    }
    let title_dom = (await getDom(".media-title"));
    setTimeout(() => {
        addLink(".media-title", "       转到豆瓣", `https://search.douban.com/movie/subject_search?search_text=${title_dom.text} ${document.querySelector(".pub-info").textContent.split("年")[0]}`);
    }, 5000);

})();
